## subvertpy 0.6.1

=== Makefile ===
PYTHON = python
SETUP = $(PYTHON) setup.py
TRIAL = trial

all: build build-inplace

build::
	$(SETUP) build

build-inplace::
	$(SETUP) build_ext --inplace

install::
	$(SETUP) install

check::
	$(SETUP) build_ext --inplace
	PYTHONPATH=. $(TRIAL) subvertpy

clean::
	$(SETUP) clean

## subvertpy 0.7.2

=== Makefile ===
PYTHON = python
PYDOCTOR = pydoctor
SETUP = $(PYTHON) setup.py
TESTRUNNER = $(shell which nosetests)

all: build build-inplace

build::
	$(SETUP) build

build-inplace::
	$(SETUP) build_ext --inplace

install::
	$(SETUP) install

check:: build-inplace
	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) subvertpy

coverage::
	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) --cover-package=subvertpy --with-coverage --cover-erase --cover-inclusive subvertpy

clean::
	$(SETUP) clean
	rm -f subvertpy/*.so subvertpy/*.o subvertpy/*.pyc

pydoctor:
	$(PYDOCTOR) -c subvertpy.cfg --make-html

## subvertpy 0.7.2-2~bpo50+1

=== debian/changelog ===
subvertpy (0.7.2-2~bpo50+1) lenny-backports; urgency=low

  * Upload to backports.
   + Go back to source format 1.0.
   + Disable test that relies on newer versions of libsvn (>= 1.5).

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 23 Mar 2010 01:23:32 +0100

subvertpy (0.7.2-2) unstable; urgency=low

  * Cope with type size changes on different platforms. Closes: #567490
  * Bump standards version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 03 Feb 2010 15:13:51 +0100

subvertpy (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Support building when $HOME exists but is unreadable. 
    Patch by Jakub Wilk. Closes: #563440

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 03 Jan 2010 17:35:38 +0100

subvertpy (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Rebuild with correct version of python-support. Closes: #560988.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Dec 2009 15:34:05 +0100

subvertpy (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Oct 2009 01:45:26 +0200

subvertpy (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 10 Sep 2009 17:28:15 +0200

subvertpy (0.6.8-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 18 Jun 2009 13:56:09 +0200

subvertpy (0.6.7-1) unstable; urgency=low

  * New upstream release.
  * Run testsuite.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Jun 2009 18:51:46 +0200

subvertpy (0.6.6-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 May 2009 14:29:53 +0200

subvertpy (0.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Mar 2009 01:56:31 +0100

subvertpy (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 17 Feb 2009 23:14:36 +0100

subvertpy (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 27 Jan 2009 04:25:49 +0100

subvertpy (0.6.0+bzr1991-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 14 Jan 2009 20:27:30 +0100

subvertpy (0.6.0+bzr1986-1) unstable; urgency=low

  * Initial release. (Closes: #511813)

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 13 Jan 2009 17:42:24 +0100

=== debian/control ===
Source: subvertpy
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://samba.org/~jelmer/subvertpy
Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), libsvn-dev, python-all-dev, python-nose
Standards-Version: 3.8.4
XS-Python-Version: >= 2.4
Vcs-Bzr: http://people.samba.org/bzr/jelmer/subvertpy/debian

Package: python-subvertpy
Architecture: any
Conflicts: bzr-svn (<< 0.5.0~rc2~)
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Alternative Python bindings for Subversion
 Python bindings for the Subversion version control system. The aim of 
 these bindings is to be fast, complete and providing an API that feels native 
 to Python programmers.
 .
 This also includes an experimental server-side implementation of the 
 Subversion protocol.

## subvertpy 0.7.3

=== debian/changelog ===
subvertpy (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.0.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Jul 2010 13:23:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/subvertpy
 Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), libsvn-dev, python-all-dev, python-nose
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 XS-Python-Version: >= 2.4
-Vcs-Bzr: http://people.samba.org/bzr/jelmer/subvertpy/debian
+Vcs-Bzr: http://bzr.debian.org/users/jelmer/subvertpy/unstable
 
 Package: python-subvertpy
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export HOME=$(CURDIR)/nonexistent

DEB_PYTHON_SYSTEM=pycentral
DEB_INSTALL_EXAMPLES_python-subvertpy = $(wildcard examples/*.py)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
common-build-arch common-build-indep:: debian/stamp-check
debian/stamp-check: 
	$(MAKE) check
	touch $@

clean::
	rm -f debian/stamp-check
endif

## subvertpy 0.7.5

=== debian/changelog ===
subvertpy (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * Drop dependency on specific python-support. Closes: #601496

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Oct 2010 11:18:48 -0700

subvertpy (0.7.4-2) unstable; urgency=low

  * Switch to python-support.
  * Build python2.5 packages for all architectures. Closes: #593750

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 Oct 2010 19:39:10 +0200

subvertpy (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Sep 2010 11:02:55 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/subvertpy
-Build-Depends: python-central (>= 0.5), cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), libsvn-dev, python-all-dev, python-nose
-Standards-Version: 3.9.0
+Build-Depends: python-support, cdbs (>= 0.4.43), python, debhelper (>= 5.0.37.2), libsvn-dev, python-all-dev, python-nose
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.4
 Vcs-Bzr: http://bzr.debian.org/users/jelmer/subvertpy/unstable

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,13 @@
 
 export HOME=$(CURDIR)/nonexistent
 
-DEB_PYTHON_SYSTEM=pycentral
+DEB_PYTHON_SYSTEM=pysupport
 DEB_INSTALL_EXAMPLES_python-subvertpy = $(wildcard examples/*.py)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
+
+DEB_PYTHON_BUILD_ARGS += --executable=/usr/bin/python
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 common-build-arch common-build-indep:: debian/stamp-check

## subvertpy 0.8.0

=== debian/changelog ===
subvertpy (0.8.0-2) unstable; urgency=low

  * Switch to dh_python2.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 03:17:32 +0100

subvertpy (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Make dependency on python-testtools versioned.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 02 Mar 2011 18:20:53 +0100

subvertpy (0.7.2-3) UNRELEASED; urgency=low

  * Include API documentation. Closes: #525029
  * Bump standards version to 3.9.1 (no changes)

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 06 Dec 2010 19:01:12 +0100

=== debian/control ===
Source: subvertpy
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://samba.org/~jelmer/subvertpy
Build-Depends: cdbs (>= 0.4.90~), python (>= 2.6.6-3), debhelper (>= 5.0.37.2), libsvn-dev, python-all-dev (>= 2.6.6-3), python-testtools (>= 0.9.2~), python-pydoctor (>= 0.3+bzr567), python-docutils
Standards-Version: 3.9.1
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/users/jelmer/subvertpy/unstable

Package: python-subvertpy
Architecture: any
Conflicts: bzr-svn (<< 0.5.0~rc2~)
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Alternative Python bindings for Subversion
 Python bindings for the Subversion version control system. The aim of
 these bindings is to be fast, complete and to provide an API that feels native
 to Python programmers.
 .
 This also includes an experimental server-side implementation of the
 Subversion protocol.

=== debian/rules ===
#!/usr/bin/make -f

export HOME=$(CURDIR)/nonexistent

DEB_INSTALL_EXAMPLES_python-subvertpy = $(wildcard examples/*.py)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

build/python-subvertpy::
	$(MAKE) pydoctor

install/python-subvertpy::
	mkdir -p $(cdbs_python_destdir)/usr/share/doc/python-subvertpy
	mv apidocs $(cdbs_python_destdir)/usr/share/doc/python-subvertpy/api

DEB_PYTHON_BUILD_ARGS += --executable=/usr/bin/python

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
build/python-subvertpy:: debian/stamp-check
debian/stamp-check:
	$(MAKE) check TESTRUNNER=testtools.run
	touch $@

clean::
	rm -f debian/stamp-check
endif

## subvertpy 0.8.1

=== debian/changelog ===
subvertpy (0.8.1-1) unstable; urgency=low

  * Add missing Breaks: field to python-subvertpy.
  * Switch to debhelper 7, drop cdbs.
  * New upstream release.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 02 Jun 2011 19:14:31 +0200

=== debian/control ===
Source: subvertpy
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://samba.org/~jelmer/subvertpy
Build-Depends: python (>= 2.6.6-3), debhelper (>= 7.0.50~), libsvn-dev, python-all-dev (>= 2.6.6-3), python-unittest2, python-pydoctor (>= 0.3+bzr567), python-docutils
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/users/jelmer/subvertpy/unstable

Package: python-subvertpy
Architecture: any
Conflicts: bzr-svn (<< 0.5.0~rc2~)
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Breaks: ${python:Breaks}
Description: Alternative Python bindings for Subversion
 Python bindings for the Subversion version control system. The aim of
 these bindings is to be fast, complete and to provide an API that feels native
 to Python programmers.
 .
 This also includes an experimental server-side implementation of the
 Subversion protocol.

=== debian/rules ===
#!/usr/bin/make -f

export HOME=$(CURDIR)/nonexistent

%:
	dh --buildsystem=python_distutils $*

override_dh_auto_build:
	dh_auto_build
	$(MAKE) pydoctor

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/python-subvertpy/usr/share/doc/python-subvertpy
	mv apidocs debian/python-subvertpy/usr/share/doc/python-subvertpy/api

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif

## subvertpy 0.8.2

=== debian/changelog ===
subvertpy (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jun 2011 15:11:11 +0200

## subvertpy 0.8.2+bzr2352

=== Makefile ===
PYTHON = python
PYDOCTOR = pydoctor
SETUP = $(PYTHON) setup.py
ifeq ($(shell $(PYTHON) -c "import sys; print sys.version_info >= (2, 7)"),True)
TESTRUNNER = unittest
else
TESTRUNNER = unittest2.__main__
endif
RUNTEST = PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER)

all: build build-inplace

build::
	$(SETUP) build

build-inplace::
	$(SETUP) build_ext --inplace

install::
	$(SETUP) install

check:: build-inplace
	$(RUNTEST) subvertpy.tests.test_suite

clean::
	$(SETUP) clean
	rm -f subvertpy/*.so subvertpy/*.o subvertpy/*.pyc

pydoctor:
	$(PYDOCTOR) --introspect-c-modules -c subvertpy.cfg --make-html

=== debian/changelog ===
subvertpy (0.8.2+bzr2352-1) unstable; urgency=low

  * Add python-subvertpy-dbg package with debugging symbols.
  * New upstream snapshot.
   + Fixes test_transmit_text_deltas test. Closes: #625722, LP: #730931

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jun 2011 19:25:01 +0200

=== debian/control ===
Source: subvertpy
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://samba.org/~jelmer/subvertpy
Build-Depends: debhelper (>= 8.1.0),
               libsvn-dev,
               python (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-docutils,
               python-pydoctor (>= 0.3+bzr567),
               python-testtools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/users/jelmer/subvertpy/unstable

Package: python-subvertpy
Architecture: any
Conflicts: bzr-svn (<< 0.5.0~rc2~)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Breaks: ${python:Breaks}
Provides: ${python:Provides}
Suggests: python-subvertpy-dbg
Description: Alternative Python bindings for Subversion
 Python bindings for the Subversion version control system. The aim of
 these bindings is to be fast, complete and to provide an API that feels native
 to Python programmers.
 .
 This also includes an experimental server-side implementation of the
 Subversion protocol.

Package: python-subvertpy-dbg
Architecture: any
Conflicts: bzr-svn (<< 0.5.0~rc2~)
Priority: extra
Section: debug
Recommends: libapr1-dbg, libaprutil1-dbg, python-dbg
Provides: ${python:Provides}
Depends: python-subvertpy (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends}
Description: Alternative Python bindings for Subversion - Debugging Symbols
 Python bindings for the Subversion version control system. The aim of
 these bindings is to be fast, complete and to provide an API that feels native
 to Python programmers.
 .
 This package contains the debugging symbols for APR util.

=== debian/rules ===
#!/usr/bin/make -f

# Get the supported Python versions
PYVERS = $(shell pyversions -r -v)
# Get the default Python version
PYVERSION = $(shell pyversions -d -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

export HOME=$(CURDIR)/nonexistent

%:
	dh --with python2 --buildsystem=python_distutils $*

override_dh_auto_build:
	dh_auto_build
	$(MAKE) pydoctor

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	# Install everything excluding the *_d.so debug extensions to python-subvertpy
	dh_install -X"*_d.so" "debian/tmp/*" -p python-subvertpy
	# Install the debug extensions to python-subvertpy-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/subvertpy/*_d.so" -p python-subvertpy-dbg
	mkdir -p debian/python-subvertpy/usr/share/doc/python-subvertpy
	mv apidocs debian/python-subvertpy/usr/share/doc/python-subvertpy/api

override_dh_installdocs:
	dh_installdocs --link-doc=python-subvertpy

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
		set -e -x; \
		for py in $(PYVERS); do \
			cd $(call pythonpath,$$py); python$$py -m testtools.run subvertpy.tests.test_suite ;\
			cd $(call pythonpath_dbg,$$py); python$$py-dbg -m testtools.run subvertpy.tests.test_suite ;\
		done
endif

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-subvertpy-dbg
endif

## subvertpy 0.8.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 else
 TESTRUNNER = unittest2.__main__
 endif
-RUNTEST = PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER)
+DEBUGGER ?=
+RUNTEST = PYTHONPATH=.:$(PYTHONPATH) $(DEBUGGER) $(PYTHON) -m $(TESTRUNNER)
 
 all: build build-inplace
 
@@ -22,6 +23,9 @@
 check:: build-inplace
 	$(RUNTEST) subvertpy.tests.test_suite
 
+gdb-check::
+	$(MAKE) check DEBUGGER="gdb --args"
+
 clean::
 	$(SETUP) clean
 	rm -f subvertpy/*.so subvertpy/*.o subvertpy/*.pyc

=== debian/changelog ===
subvertpy (0.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 24 Jul 2011 16:30:33 +0200

subvertpy (0.8.2+bzr2368-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes several double free issues.
   + Prevents freeing RemoteAccess object before requests. LP: #803353,
     Closes: #635006
  * Fix typo in python-subvertpy-dbg package description.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 22 Jul 2011 23:40:08 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Architecture: any
 Conflicts: bzr-svn (<< 0.5.0~rc2~)
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Breaks: ${python:Breaks}
 Provides: ${python:Provides}
 Suggests: python-subvertpy-dbg
 Description: Alternative Python bindings for Subversion
@@ -46,4 +45,4 @@
  these bindings is to be fast, complete and to provide an API that feels native
  to Python programmers.
  .
- This package contains the debugging symbols for APR util.
+ This package contains the debug extension.

## subvertpy 0.8.7

=== debian/changelog ===
subvertpy (0.8.7-1) unstable; urgency=low

  * New upstream release.
   + Fixes double pool free, which caused testsuite failures on ia64.
     Thanks Roland Mas for the help with debugging. LP: #853960,
     Closes: #632225

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 19 Sep 2011 18:30:10 +0200

subvertpy (0.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 21 Aug 2011 03:31:12 +0200

subvertpy (0.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 19 Aug 2011 01:40:54 +0200

## subvertpy 0.8.9

=== debian/changelog ===
subvertpy (0.8.9-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Oct 2011 20:06:57 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 8.1.0),
                libsvn-dev,
                python (>= 2.6.6-3),
+               python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
-               python-all-dbg (>= 2.6.6-3),
                python-docutils,
                python-pydoctor (>= 0.3+bzr567),
                python-testtools
@@ -38,8 +38,8 @@
 Provides: ${python:Provides}
 Depends: python-subvertpy (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         ${python:Depends}
+         ${python:Depends},
+         ${shlibs:Depends}
 Description: Alternative Python bindings for Subversion - Debugging Symbols
  Python bindings for the Subversion version control system. The aim of
  these bindings is to be fast, complete and to provide an API that feels native

## subvertpy 0.8.10

=== debian/changelog ===
subvertpy (0.8.10-2) unstable; urgency=low

  * Install manual page for subvertpy-fast-export.
  * Bump standards version to 3.9.3 (no changes).
  * Fix format string of copyright file format.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Feb 2012 13:58:26 +0100

subvertpy (0.8.10-1) unstable; urgency=low

  * New upstream release.
  * Format copyright file according to DEP-5.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Jan 2012 14:23:34 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python-docutils,
                python-pydoctor (>= 0.3+bzr567),
                python-testtools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Vcs-Bzr: http://bzr.debian.org/users/jelmer/subvertpy/unstable

## subvertpy 0.9.1

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,13 @@
 	$(SETUP) install
 
 check:: build-inplace
-	$(RUNTEST) subvertpy.tests.test_suite
+	$(RUNTEST) $(TEST_OPTIONS) subvertpy.tests.test_suite
 
 gdb-check::
 	$(MAKE) check DEBUGGER="gdb --args"
+
+check-one:: 
+	$(MAKE) check TEST_OPTIONS=-f
 
 clean::
 	$(SETUP) clean

=== debian/changelog ===
subvertpy (0.9.1-2) unstable; urgency=low

  * Bump standards version (no changes).
  * Support dpkg-buildflags; enables hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 31 May 2013 01:18:15 +0100

subvertpy (0.9.1-1) unstable; urgency=low

  * New upstream release.
   + Fixes compatibility with newer versions of Subversion 1.7,
     disabling subvertpy.wc which is broken by svn 1.7.
     Fixes FTBFS. Closes: #680792, #680800, LP: #887749

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 01 Mar 2012 03:20:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python-docutils,
                python-pydoctor (>= 0.3+bzr567),
                python-testtools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
 Vcs-Bzr: http://bzr.debian.org/users/jelmer/subvertpy/unstable

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 # Get the supported Python versions
 PYVERS = $(shell pyversions -r -v)
@@ -12,7 +17,8 @@
 export HOME=$(CURDIR)/nonexistent
 
 %:
-	dh --with python2 --buildsystem=python_distutils $*
+	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" dh --with python2 --buildsystem=python_distutils $*
 
 override_dh_auto_build:
 	dh_auto_build

## subvertpy 0.9.2

=== debian/changelog ===
subvertpy (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git, Vcs-Browser and Maintainer fields to reflect the
    dulwich package is now maintained by the Debian Python Modules
    packaging team.
  * Bump standards version to 3.9.6 (no changes).
  * Build with -Wl,--as-needed.
  * Build pydoctor docs with build time set to package modification
    time, to make build reproducible.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Feb 2015 17:51:51 +0100

subvertpy (0.9.1-7) unstable; urgency=low

  * Set Vcs-Git header rather than Vcs-Bzr; package has migrated to git.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Jul 2014 23:39:12 +0200

subvertpy (0.9.1-6) unstable; urgency=medium

  [ Martin Pitt ]
  * autopkgtest: Use the system-installed modules and test suite instead of
    the local source tree. Drop unnecessary "build-needed" restriction.
    (Closes: #748832)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 May 2014 08:41:15 +0200

subvertpy (0.9.1-5) unstable; urgency=medium

  * Move autopkgtest restrictions to restrictions field.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Mar 2014 14:25:12 +0000

subvertpy (0.9.1-4) unstable; urgency=medium

  * Allow output on stderr during autopkgtest test runs.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 26 Feb 2014 00:02:38 +0000

subvertpy (0.9.1-3) unstable; urgency=medium

  * Add autopkgtest support.
  * Bump standards version to 3.9.5 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Feb 2014 02:10:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: subvertpy
 Section: python
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/subvertpy
 Build-Depends: debhelper (>= 8.1.0),
                libsvn-dev,
@@ -9,11 +10,12 @@
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
                python-docutils,
-               python-pydoctor (>= 0.3+bzr567),
+               python-pydoctor (>= 0.5+git20150410-1),
                python-testtools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4
-Vcs-Bzr: http://bzr.debian.org/users/jelmer/subvertpy/unstable
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/subvertpy.git -b unstable
+XS-Testsuite: autopkgtest
 
 Package: python-subvertpy
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
@@ -9,6 +11,8 @@
 PYVERS = $(shell pyversions -r -v)
 # Get the default Python version
 PYVERSION = $(shell pyversions -d -v)
+
+BUILD_DATE = $(shell dpkg-parsechangelog -S Date)
 
 # Callable functions to determine the correct PYTHONPATH
 pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
@@ -22,7 +26,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) pydoctor
+	$(MAKE) pydoctor PYDOCTOR_OPTIONS="--buildtime=$(shell date -u +'%Y-%m-%d\\ %H:%M:%S' --date='$(BUILD_DATE)')"
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

## subvertpy 0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PYTHON = python
 PYDOCTOR = pydoctor
+PYDOCTOR_OPTIONS ?=
 SETUP = $(PYTHON) setup.py
 ifeq ($(shell $(PYTHON) -c "import sys; print sys.version_info >= (2, 7)"),True)
 TESTRUNNER = unittest
@@ -34,4 +35,4 @@
 	rm -f subvertpy/*.so subvertpy/*.o subvertpy/*.pyc
 
 pydoctor:
-	$(PYDOCTOR) --introspect-c-modules -c subvertpy.cfg --make-html
+	$(PYDOCTOR) $(PYDOCTOR_OPTIONS) --introspect-c-modules -c subvertpy.cfg --make-html

=== debian/changelog ===
subvertpy (0.9.3-3) unstable; urgency=medium

  * Drop use of --buildtime in debian/rules, rely on SOURCE_DATE_EPOCH
    instead. Update pydoctor dependency to a version that supports
    SOURCE_DATE_EPOCH.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Dec 2015 11:57:23 +0000

subvertpy (0.9.3-2) unstable; urgency=medium

  * Build pydoctor docs with --build-time; should make build
    reproducible.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Sep 2015 21:19:03 +0000

subvertpy (0.9.3-1) unstable; urgency=medium

  * New upstream release.
   + Works around regression in subversion_fs, causing test suite failures.
     Closes: #795661

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Aug 2015 13:25:14 +0000

subvertpy (0.9.1-8) unstable; urgency=medium

  * Update Vcs-Git, Vcs-Browser and Maintainer fields to reflect the
    dulwich package is now maintained by the Debian Python Modules
    packaging team.
  * Bump standards version to 3.9.6 (no changes).
  * Build with -Wl,--as-needed.
  * Build pydoctor docs with build time set to package modification
    time, to make build reproducible.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Feb 2015 17:51:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
                python-docutils,
-               python-pydoctor (>= 0.5+git20150410-1),
+               python-pydoctor (>= 0.5+git20151204-1),
                python-testtools
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.4

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,6 @@
 # Get the default Python version
 PYVERSION = $(shell pyversions -d -v)
 
-BUILD_DATE = $(shell dpkg-parsechangelog -S Date)
-
 # Callable functions to determine the correct PYTHONPATH
 pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
 pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)
@@ -26,7 +24,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) pydoctor PYDOCTOR_OPTIONS="--buildtime=$(shell date -u +'%Y-%m-%d\\ %H:%M:%S' --date='$(BUILD_DATE)')"
+	$(MAKE) pydoctor
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

=== debian/tests/control ===
Tests: testsuite
Depends: python-subvertpy
Restrictions: allow-stderr

=== debian/watch ===
version=2
http://samba.org/~jelmer/subvertpy/subvertpy-(.*).tar.gz

## subvertpy 0.10.1

=== Makefile ===
PYTHON = python
FLAKE8 ?= flake8
PYDOCTOR = pydoctor
PYDOCTOR_OPTIONS ?=
SETUP = $(PYTHON) setup.py
TESTRUNNER = unittest
DEBUGGER ?=
RUNTEST = PYTHONPATH=.:$(PYTHONPATH) $(DEBUGGER) $(PYTHON) -m $(TESTRUNNER) -v

all: build build-inplace

build::
	$(SETUP) build

build-inplace::
	$(SETUP) build_ext --inplace

install::
	$(SETUP) install

check:: build-inplace
	$(RUNTEST) $(TEST_OPTIONS) subvertpy.tests.test_suite

gdb-check::
	$(MAKE) check DEBUGGER="gdb --args"

check-one::
	$(MAKE) check TEST_OPTIONS=-f

clean::
	$(SETUP) clean
	rm -f subvertpy/*.so subvertpy/*.o subvertpy/*.pyc

pydoctor:
	$(PYDOCTOR) $(PYDOCTOR_OPTIONS) --introspect-c-modules -c subvertpy.cfg --make-html

style:
	$(FLAKE8) --exclude=build,.git,build-pypy,.tox

=== debian/changelog ===
subvertpy (0.10.1-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:39:16 +1200

subvertpy (0.10.1-1) unstable; urgency=medium

  * New upstream release.
   + Fixes bigendian issues. Closes: #868770

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 Jul 2017 23:47:51 +0000

subvertpy (0.10.0-1) unstable; urgency=medium

  * Bump standards version to 4.0.0 (no changes).
  * Add python3-subvertpy package.
   + Use alternatives for /usr/bin/subvertpy-fast-export.
  * Migrate python-subvertpy-dbg package to python-subvertpy-dbgsym.
  * watch: Update watch file., add signing key.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Jul 2017 23:29:43 +0000

subvertpy (0.9.3-4) unstable; urgency=low

  * Use https in watch file.
  * Fix branch in Vcs-Git header.
  * Force python hash seed to 0, for reproducible pydoctor output.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Dec 2015 02:01:47 +0000

=== debian/control ===
Source: subvertpy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://www.jelmer.uk/subvertpy
Build-Depends: debhelper (>= 9),
               libsvn-dev,
               python (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python3-all-dev,
               python3-all-dbg,
               python-docutils,
               python-pydoctor (>= 0.5+git20151204),
               python-testtools
Standards-Version: 4.0.0
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: git://anonscm.debian.org/python-modules/packages/subvertpy.git
XS-Testsuite: autopkgtest

Package: python-subvertpy
Architecture: any
Conflicts: bzr-svn (<< 0.5.0~rc2~)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Alternative Python bindings for Subversion - Python 2
 Python bindings for the Subversion version control system. The aim of
 these bindings is to be fast, complete and to provide an API that feels native
 to Python programmers.
 .
 This also includes an experimental server-side implementation of the
 Subversion protocol.
 .
 This package contains the Python 2 version.

Package: python3-subvertpy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Alternative Python bindings for Subversion - Python 3
 Python bindings for the Subversion version control system. The aim of
 these bindings is to be fast, complete and to provide an API that feels native
 to Python programmers.
 .
 This also includes an experimental server-side implementation of the
 Subversion protocol.
 .
 This package contains the Python 3 version.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
     https://pypi.debian.net/subvertpy/subvertpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## subvertpy 0.11.0~git20191228%2B2423bf1

=== debian/changelog ===
subvertpy (0.11.0~git20191228+2423bf1-2ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
  * Merge from Debian unstable.  Remaining changes:
    - Fix autopkgtest to run python2 tests with python2 binary.
    - Run autopkgtests for python3 too.
    - Use python2 instead of python also in control file

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2020 12:34:30 +0100

subvertpy (0.11.0~git20191228+2423bf1-2) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: Remove incorrect debian-branch variable
    which was set to "unstable" but should actually "master" now.
  * Bump Standards-Version to 4.5.0 (no change).
  * Add "Rules-Requires-Root: no" to debian/control.
  * Remove workaround on installing our own python3-cachecontrol
    as it is now available and the latest pydoctor does depend on it.
  * Change build-dependency on python-pydoctor to Python-3-based pydoctor
  * Add build-dependency on python3-docutils.
    to parallel the existing dependency on Python-2-based python-docutils
  * debian/rules: Replace override_* with execute_after_* targets
    where appropriate.

 -- Anthony Fok <foka@debian.org>  Thu, 05 Mar 2020 19:09:25 -0700

subvertpy (0.11.0~git20191228+2423bf1-1ubuntu2) focal; urgency=medium

  * Use python2 instead of python also in control file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Feb 2020 13:30:05 +0100

subvertpy (0.11.0~git20191228+2423bf1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix autopkgtest to run python2 tests with python2 binary.
    - Run autopkgtests for python3 too.
  * Dropped changes, included upstream:
    - Fix the ml_flags on wc.WorkingCopy.add_repos_file to fix build with
      Python 3.8.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Feb 2020 18:01:10 -0800

subvertpy (0.11.0~git20191228+2423bf1-1) unstable; urgency=medium

  * Bump the snapshot’s upstream version according to setup.py.
  * Add RemoteAccess.get_url() again for backwards compatibility
    with 0.10 API to unbreak hgsubversion until it’s fixed.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 Jan 2020 13:24:31 +0100

subvertpy (0.10.2~git20191228+2423bf1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot (Closes: #942678).
  * Pydoctor needs to depend on cachecontrol, but it doesn’t.
    Since python-cachecontrol has been removed from the archive,
    work this around by bringing it into the PYTHONPATH from
    the Python 3 package.
  * Tests crash with python*-dbg, disable them temporarily.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 18 Jan 2020 17:50:11 +0100

subvertpy (0.10.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 10.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Contact.

  [ Jelmer Vernooĳ ]
  * Bump debhelper from old 10 to 12.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Drop unused dependency on python-testtools.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 16 Sep 2019 08:00:36 +0000

subvertpy (0.10.1-2ubuntu2) focal; urgency=medium

  * Fix autopkgtest to run python2 tests with python2 binary.
  * Run autopkgtests for python3 too. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Oct 2019 10:06:31 +1300

subvertpy (0.10.1-2ubuntu1) focal; urgency=medium

  * Fix the ml_flags on wc.WorkingCopy.add_repos_file to fix build with
    Python 3.8.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 21 Oct 2019 13:34:33 +1300

subvertpy (0.10.1-2build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:12:36 +0000

subvertpy (0.10.1-2build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:10:31 +0000

subvertpy (0.10.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Depend on debhelper >= 9.20151004 for SOURCE_DATE_EPOCH.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Remove debian/pycompat, it's not used by any modern Python helper

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ Jelmer Vernooĳ ]
  * Add debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 26 Jul 2017 00:20:36 +0000

## subvertpy 0.11.0~git20191228+2423bf1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,9 @@
 build::
 	$(SETUP) build
 
+build-nodeprecated:
+	$(MAKE) build CFLAGS+=-Wno-deprecated-declarations
+
 build-inplace::
 	$(SETUP) build_ext --inplace
 
@@ -24,6 +27,12 @@
 gdb-check::
 	$(MAKE) check DEBUGGER="gdb --args"
 
+valgrind-check-python3:
+	PYTHONMALLOC=malloc $(MAKE) check PYTHON=python DEBUGGER="valgrind --suppressions=/usr/lib/valgrind/python3.supp"
+
+valgrind-check-python2:
+	PYTHONMALLOC=malloc $(MAKE) check PYTHON=python3 DEBUGGER="valgrind --suppressions=/usr/lib/valgrind/python.supp"
+
 check-one::
 	$(MAKE) check TEST_OPTIONS=-f
 
@@ -35,4 +44,4 @@
 	$(PYDOCTOR) $(PYDOCTOR_OPTIONS) --introspect-c-modules -c subvertpy.cfg --make-html
 
 style:
-	$(FLAKE8) --exclude=build,.git,build-pypy,.tox
+	$(FLAKE8)

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: subvertpy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.jelmer.uk/subvertpy
-Build-Depends: debhelper (>= 9),
+Build-Depends: dh-python,
                libsvn-dev,
                python (>= 2.6.6-3),
-               python-all-dbg (>= 2.6.6-3),
+#               python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
                python3-all-dev,
-               python3-all-dbg,
+#               python3-all-dbg,
                python-docutils,
                python-pydoctor (>= 0.5+git20151204),
-               python-testtools
+               python3-cachecontrol | python-cachecontrol,
+               python-lockfile,
+               debhelper-compat (= 12)
 Standards-Version: 4.0.0
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/subvertpy.git
-XS-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/python-team/modules/subvertpy.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/subvertpy
 
 Package: python-subvertpy
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Get the supported Python versions
PYVERS = $(shell pyversions -r -v)
PY3VERS = $(shell py3versions -r -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))

export PYBUILD_NAME=subvertpy
export HOME=$(CURDIR)/nonexistent

export PYTHONPATH = debian/fake-python-path

%:
	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
	LDFLAGS="$(LDFLAGS)" dh $* --with python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	mkdir -p debian/fake-python-path
	[ ! -d /usr/lib/python2.7/dist-packages/cachecontrol ] && \
	[ -d /usr/lib/python3/dist-packages/cachecontrol ] && \
	ln -s /usr/lib/python3/dist-packages/cachecontrol debian/fake-python-path/cachecontrol || \
	true
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	PYTHONHASHSEED=0 $(MAKE) pydoctor

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/python3-subvertpy/usr/share/doc/python3-subvertpy \
	         debian/python-subvertpy/usr/share/doc/python-subvertpy
	cp -a apidocs debian/python-subvertpy/usr/share/doc/python-subvertpy/api
	cp -a apidocs debian/python3-subvertpy/usr/share/doc/python3-subvertpy/api
	mv debian/python3-subvertpy/usr/bin/subvertpy-fast-export \
	   debian/python3-subvertpy/usr/bin/subvertpy3-fast-export
	mv debian/python-subvertpy/usr/bin/subvertpy-fast-export \
	   debian/python-subvertpy/usr/bin/subvertpy2-fast-export

override_dh_strip:
	dh_strip -p python-subvertpy --dbgsym-migration='python-subvertpy-dbg (<< 0.9.3-1)'
	dh_strip -p python3-subvertpy

## subvertpy 0.11.0

=== debian/changelog ===
subvertpy (0.11.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Fix field name typo in debian/upstream/metadata (Repository-Browser =>
    Repository-Browse).
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Jelmer Vernooĳ ]
  * New upstream release.
  * Add dependency on python3-setuptools.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 11 Jan 2021 03:04:08 +0000

subvertpy (0.11.0~git20191228+2423bf1-5) unstable; urgency=medium

  * debian/rules
    - install a manpage named subvertpy3-fast-export.1, to match the binary
      name; Closes: #966323

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2020 15:58:37 -0400

subvertpy (0.11.0~git20191228+2423bf1-4) unstable; urgency=medium

  * Drop python2 support; Closes: #938579

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Jul 2020 21:02:28 -0400

subvertpy (0.11.0~git20191228+2423bf1-3) unstable; urgency=medium

  * Drop python-docutils from b-d, no longer needed

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Apr 2020 00:29:06 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Get the supported Python versions
PY3VERS = $(shell py3versions -r -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))

export PYBUILD_NAME=subvertpy
export HOME=$(CURDIR)/nonexistent

%:
	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
	LDFLAGS="$(LDFLAGS)" dh $* --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONHASHSEED=0 $(MAKE) pydoctor

execute_after_dh_auto_install:
	mkdir -p debian/python3-subvertpy/usr/share/doc/python3-subvertpy
	cp -a apidocs debian/python3-subvertpy/usr/share/doc/python3-subvertpy/api
	mv debian/python3-subvertpy/usr/bin/subvertpy-fast-export \
	   debian/python3-subvertpy/usr/bin/subvertpy3-fast-export

override_dh_strip:
	dh_strip -p python3-subvertpy

override_dh_installman:
	cp man/subvertpy-fast-export.1 man/subvertpy3-fast-export.1
	dh_installman man/subvertpy3-fast-export.1
	rm -f man/subvertpy3-fast-export.1

=== debian/tests/control ===
Tests: testsuite
Depends: python3-subvertpy
Restrictions: allow-stderr
